### Property

# FwupdPlugin Context:battery-level

since: 1.6.0

#### Declaration

    property battery-level: guint [ read, write ]

#### Description [src]

The system battery level in percent.

Type:`guint`

Available since: 1.6.0

Default value | 101
Getter method | `fu_context_get_battery_level()`
Setter method | `fu_context_set_battery_level()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no